#include "mungal4.h"
#pragma hdrstop

#include "l4audres.h"
#include "l4tool.h"
#include "l4audio.h"

ResourceDescription::ResourceID
	L4Tool::CreateModelAudioStreamResource(
		ResourceFile *resource_file,
		const char *model_name,
		NotationFile *model_file,
		const ResourceDirectories *directories
	)
{
	return
		L4AudioResourceManager::CreateModelAudioStreamResource(
			resource_file,
			model_name,
			model_file,
			directories
		);
}

ResourceDescription::ResourceID
	L4Tool::CreateStaticAudioStreamResource(
		ResourceFile *resource_file
	)
{
	return
		L4AudioResourceManager::CreateStaticAudioStreamResource(
			resource_file
		);
}

//
//#############################################################################
//#############################################################################
//
void L4AudioCreateSymbols::WriteEntryStream(std::ofstream &symbol_file)
{
	AudioCreateSymbols::WriteEntryStream(symbol_file);

	#define WRITE_ENTRY(name)\
		{\
			Verify(symbol_file);\
			symbol_file << #name;\
			symbol_file << "=";\
			symbol_file << name;\
			symbol_file << "\n";\
		}

	WRITE_ENTRY(FrontDirectPatchPosition);
	WRITE_ENTRY(RearDirectPatchPosition);
	WRITE_ENTRY(FrontLeftDirectPatchPosition);
	WRITE_ENTRY(FrontRightDirectPatchPosition);
	WRITE_ENTRY(RearLeftDirectPatchPosition);
	WRITE_ENTRY(RearRightDirectPatchPosition);
}
